# Recon

{% hint style="info" %}
Data Recon is on limited access preview only.
{% endhint %}

## Get Recon Runs

> List Recon Runs

```json
{"openapi":"3.1.0","info":{"title":"Decube Public API (BETA)","version":"1.0.0"},"servers":[{"url":"https://connect.<REGION>.decube.io/api/v1/data"}],"paths":{"/recon/runs":{"get":{"tags":["Recon"],"summary":"Get Recon Runs","description":"List Recon Runs","operationId":"get_recon_runs_recon_runs_get","parameters":[{"name":"start_ts","in":"query","required":true,"schema":{"type":"string","format":"date-time","description":"Start of datetime range to search for recon runs","title":"Start Ts"},"description":"Start of datetime range to search for recon runs"},{"name":"end_ts","in":"query","required":true,"schema":{"type":"string","format":"date-time","description":"End of datetime range to search for recon runs","title":"End Ts"},"description":"End of datetime range to search for recon runs"},{"name":"reference_source","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The ID of the reference source asset","title":"Reference Source"},"description":"The ID of the reference source asset"},{"name":"comparison_source","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The ID of the comparison source asset","title":"Comparison Source"},"description":"The ID of the comparison source asset"},{"name":"configuration_id","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The ID of the recon configuration, will ignore reference and comparison query parameters if set","title":"Configuration Id"},"description":"The ID of the recon configuration, will ignore reference and comparison query parameters if set"},{"name":"page","in":"query","required":false,"schema":{"type":"integer","default":1,"title":"Page"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":10,"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadReconBody"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"ReadReconBody":{"properties":{"data":{"items":{"$ref":"#/components/schemas/ReconRunResult"},"type":"array","title":"Data"}},"type":"object","required":["data"],"title":"ReadReconBody"},"ReconRunResult":{"properties":{"run_id":{"type":"integer","title":"Run Id"},"configuration_id":{"type":"integer","title":"Configuration Id"},"configuration_name":{"type":"string","title":"Configuration Name"},"reference_table":{"$ref":"#/components/schemas/AssetObject"},"comparison_table":{"$ref":"#/components/schemas/AssetObject"},"status":{"$ref":"#/components/schemas/ReconStatus"},"started_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Started At"},"completed_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Completed At"},"result":{"anyOf":[{"$ref":"#/components/schemas/RowCountOnlyRunResult"},{"$ref":"#/components/schemas/ValueDiffRunResult"},{"type":"null"}],"title":"Result"}},"type":"object","required":["run_id","configuration_id","configuration_name","reference_table","comparison_table","status","started_at","completed_at","result"],"title":"ReconRunResult"},"AssetObject":{"properties":{"id":{"type":"integer","title":"Id"},"name":{"type":"string","title":"Name"},"type":{"$ref":"#/components/schemas/AssetMetadataTypes"}},"type":"object","required":["id","name","type"],"title":"AssetObject"},"AssetMetadataTypes":{"type":"string","enum":["source","collection","dataset","property","data_job","data_task","data_run","file","glossary","category","term","monitor","dashboard","report","chart","policy","policy_rule","data_domain","data_subdomain","data_product","data_asset","data_asset_property","data_contract"],"title":"AssetMetadataTypes"},"ReconStatus":{"type":"string","enum":["passed","failed","running","queued","error"],"title":"ReconStatus"},"RowCountOnlyRunResult":{"properties":{"reference_row_count":{"type":"integer","title":"Reference Row Count"},"comparison_row_count":{"type":"integer","title":"Comparison Row Count"},"mismatch_row_count":{"type":"integer","title":"Mismatch Row Count"},"type":{"type":"string","const":"row_count_only","title":"Type"}},"type":"object","required":["reference_row_count","comparison_row_count","mismatch_row_count","type"],"title":"RowCountOnlyRunResult"},"ValueDiffRunResult":{"properties":{"reference_row_count":{"type":"integer","title":"Reference Row Count"},"comparison_row_count":{"type":"integer","title":"Comparison Row Count"},"mismatch_row_count":{"type":"integer","title":"Mismatch Row Count"},"type":{"type":"string","const":"value_diff","title":"Type"},"added_row_count":{"type":"integer","title":"Added Row Count"},"removed_row_count":{"type":"integer","title":"Removed Row Count"},"modified_row_count":{"type":"integer","title":"Modified Row Count"}},"type":"object","required":["reference_row_count","comparison_row_count","mismatch_row_count","type","added_row_count","removed_row_count","modified_row_count"],"title":"ValueDiffRunResult"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.decube.io/public-api/overview/index/recon.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
